snd_pcm_playback_data
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_playback_data — check whether any data exists on the playback buffer

## Synopsis

`int snd_pcm_playback_data (` | struct snd_pcm_substream * | substream`)`;

## Arguments

`substream`

  the pcm substream instance

## Description

Checks whether any data exists on the playback buffer. If stop_threshold is bigger or equal to boundary, then this function returns always non-zero.

Returns non-zero if exists, or zero if not.

Prev | Up | Next
snd_pcm_capture_ready | Home | snd_pcm_playback_empty